# Hold a time for a few minutes. The hold releases itself

`POST /bookings/holds` · Rivier · bookings

Hold a time for a few minutes. The hold releases itself.

- Scope: bookings:write
- Mcp: rivier_booking_hold
- Graphql: Mutation.holdBooking
- Sdk: bookings.hold.create
- Cli: bookings hold create
- Events: bookings.hold.created

## Parameters

- `dryRun` (query), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "serviceId": {
      "type": "string",
      "format": "uuid"
    },
    "start": {
      "type": "string",
      "format": "date-time"
    },
    "durationMinutes": {
      "type": "integer",
      "minimum": 5,
      "maximum": 1440
    },
    "partySize": {
      "type": "integer",
      "minimum": 1,
      "maximum": 10000,
      "default": 1
    },
    "resourceIds": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "maxItems": 20
    },
    "sessionId": {
      "type": "string",
      "format": "uuid"
    },
    "quote": {
      "type": "string",
      "maxLength": 4000
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  },
  "required": [
    "serviceId",
    "start",
    "idempotencyKey"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/bookings/holds' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "serviceId": "string",
  "start": "2026-01-01T00:00:00Z",
  "idempotencyKey": "string"
}'
```
